Bug 1805232 - flatpak-rpm-macros requires Python 2 to build
Summary: flatpak-rpm-macros requires Python 2 to build
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: flatpak-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: BRPY27
TreeView+ depends on / blocked
 
Reported: 2020-02-20 14:23 UTC by Petr Viktorin
Modified: 2020-03-27 08:00 UTC (History)
4 users (show)

Fixed In Version: flatpak-rpm-macros-32-2.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 08:00:03 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Viktorin 2020-02-20 14:23:18 UTC
Python 2 reached upstream end-of-life in January 2020. In Fedora Rawhide, it's now provided from the compat package `python27`.
Packages that only use Python 2 at build time, like flatpak-rpm-macros, had a general exception to keep using it in Fedora 31. Now, the dependency should be removed.
Let us know if you need any help investigating or removing the dependency. (There are dozens of packages like this, so we didn't investigate this one thoroughly. We assume you know the package best.)

If it's possible that the dependency won't be removed in Fedora 33. Please request a FESCo exception. You can refer to the exception for mercurial as an example: https://pagure.io/fesco/issue/2243
It's good to mention:

- What is the reason for the Python 2 build dependency?

- What are the upstream/community plans/timelines regarding Python 2?

- What is the guidance for porting the build to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)

If you need anything from us, or something is unclear, please mention it here.

Comment 1 Kalev Lember 2020-03-18 12:57:43 UTC
Thanks! I went ahead and dropped the Python 2 support in flatpak-rpm-macros-32-2.fc32

Comment 2 Fedora Update System 2020-03-18 13:15:09 UTC
FEDORA-2020-667a71aaa9 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-667a71aaa9

Comment 3 Fedora Update System 2020-03-19 02:26:12 UTC
flatpak-rpm-macros-32-2.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-667a71aaa9

Comment 4 Fedora Update System 2020-03-27 08:00:03 UTC
FEDORA-2020-667a71aaa9 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.